Issues with mock - unable to find package (created from previous mock build)

Support for the other architectures (X86_64, IA-64, and PowerPC)
Post Reply
yossarianuk
Posts: 20
Joined: 2010/03/22 15:34:42

Issues with mock - unable to find package (created from previous mock build)

Post by yossarianuk » 2011/01/20 17:09:35

Hi.

After working out how to add the extras repo to mock (see last ticket - https://www.centos.org/modules/newbb/viewtopic.php?topic_id=29795&forum=44 )


I am still missing 1 dependency to use mock to create php-extras.

I made the standard php (5.2.17) no problems however In order to make the php-extras package its need the php-devel package (5.2.17) from the php packages.

The issue is that I can't install the i686 package as it will conflict with my normal php-devel (x86_64 5.2.17)

I have tried to create a local repo but that doesn't see to pick up the file.

does anyone know how I can sort this out ?

regards

pschaff
Retired Moderator
Posts: 18276
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America
Contact:

Issues with mock - unable to find package (created from prev

Post by pschaff » 2011/02/12 14:39:26

This topic is rather stale, but found it viewing old unreplied topics. From http://fedoraproject.org/wiki/Projects/Mock :
[quote]
If using mock version older than 0.8.8 or on a system with python 2.4, and building i386 packages on x86_64, prepend setarch i386 to the mock command line: setarch i386 mock -r rebuild package-1.2-3.src.rpm. Newer versions of mock no longer need the setarch command, although it does not hurt anything if it is there. [/quote]

Post Reply

Return to “CentOS 5 - X86_64,s390(x) and PowerPC Support”